<?php

/**
 * 基础信息接口
 * @author   YS
 * @version  1.0
 */
class Api_BasicinfoController extends Ctrl_Api{
    public $StrainsModel;
    public $GeneModel;
    public $POST;
    public $GroupModel;
    public function init(){
        $this->StrainsModel=new StrainsModel();
        $this->GeneModel=new GeneModel();
        $this->POST =json_decode(file_get_contents('php://input'),true);
        $this->GroupModel=new GroupModel();
    }
    //获取品系列表接口
    public function strainsAction(){
        $data = $this->StrainsModel->getModelList();
        Tool_Fnc::apiMsg('获取成功', '200',$data);
    }
    //获取基因列表接口
    public function geneAction(){
        $data = $this->GeneModel->getModelList();
        Tool_Fnc::apiMsg('获取成功', '200',$data);
    }
    //获取基因列表接口
    public function groupAction(){
        $data = $this->GroupModel->getModelList();
        Tool_Fnc::apiMsg('获取成功', '200',$data);
    }

}